Bug 103745 - ported RH7.3 binary behaviour different under compat-libstdc++
ported RH7.3 binary behaviour different under compat-libstdc++
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: compat-gcc (Show other bugs)
9
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-04 11:36 EDT by Ken Snider
Modified: 2007-04-18 12:57 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-07 10:42:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ken Snider 2003-09-04 11:36:12 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030701

Description of problem:
Executing a piece of custom-compiled code, build on a redhat 7.3 box with
gcc-c++-2.96-113 and libstdc++-2.96-113 does not properly function using
compat-libstdc++-7.3-2.96.118 on RH9.

Replacing /usr/lib/libstdc++-3-libc6.2-2-2.10.0.so with the one from the redhat
7.3 distribution results in proper operation of the code in question - so the
issue is most definately this library, included in compat-libstdc++-7.3-2.96.118.



Version-Release number of selected component (if applicable):
compat-libstdc++-7.3-2.96.118

How reproducible:
Always

Currently working on creating a minimized testcase to exhibit the bug, but as it
is closed-source code this is a nontrivial task.

Are there *known* incompatibilities between the "real" RH7.3 libstdc++ and the
one included in compat-libstdc++ on RH9?
Comment 1 Jakub Jelinek 2004-10-07 10:42:25 EDT
There were some issues with -2.96.118, see e.g. #97372, but without
a testcase hard to say.

Note You need to log in before you can comment on or make changes to this bug.